%define oname		xklavier

%define major		16
%define gmajor		1.0
%define libname		%mklibname %{oname} %{major}
%define develname	%mklibname %{oname} -d
%define girname		%mklibname %{oname}-gir %{gmajor}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		libxklavier
Summary:	X Keyboard support library
Version:	5.3
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
Url:		http://gswitchit.sourceforge.net/
Source:		http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxklavier)

%description
This library allows you simplify XKB-related development.

%package -n %{libname}
Summary:	X Keyboard support library
Group:		System/Libraries
Requires:	iso-codes

%description -n %{libname}
This library allows you simplify XKB-related development.

%package -n %{develname}
Summary:	Libraries, includes, etc to develop libxklavier applications
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{_lib}xklavier8-devel
Obsoletes:	%{_lib}xklavier11-devel
Obsoletes:	%{_lib}xklavier-static-devel < 5.1-2

%description  -n %{develname}
Libraries, include files, etc you can use to develop libxklavier
applications.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--with-xkb-base=%{_datadir}/X11/xkb/ \
	--with-xkb-bin-base=%{_bindir}/ \
	--enable-introspection=yes
%make 

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING.LIB 
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-, root, root)
%doc %{_datadir}/gtk-doc/html/libxklavier/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_includedir}/*
%{_datadir}/gir-1.0/Xkl-%{gmajor}.gir

%files -n %{girname}
%defattr(-, root, root)
%{_libdir}/girepository-1.0/Xkl-%{gmajor}.typelib


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 5.3-2.mga3
+ Revision: 358618
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 24 2012 fwang <fwang> 5.3-1.mga3
+ Revision: 296954
- new version 5.3

* Thu Feb 16 2012 fwang <fwang> 5.2.1-1.mga2
+ Revision: 209580
- new version 5.2.1

* Wed Jan 18 2012 wally <wally> 5.2-1.mga2
+ Revision: 197934
- new version 5.2
- enable introspection
- clean .spec

* Mon Oct 17 2011 wally <wally> 5.1-2.mga2
+ Revision: 155821
- disable static build
- get rid of .la files

* Wed Jun 08 2011 dmorgan <dmorgan> 5.1-1.mga2
+ Revision: 101698
- New version 5.1

* Sat Jan 15 2011 mikala <mikala> 5.0-3.mga1
+ Revision: 19229
- Remove mdk macros
- Remove BuildRoot
- imported package libxklavier

